packer {
  required_plugins {
    docker = {
      version = ">= 0.0.7"
      source = "github.com/hashicorp/docker"
    }
  }
}


source "qemu" "focal-arm64" {
  qemu_binary       = "qemu-system-aarch64"
  # machine_type      = "raspi3b"
  machine_type      = "virt"
  headless          = true
  # Can't use boot command with this true
  # disable_vnc       = true

  iso_url           = "https://cloud-images.ubuntu.com/releases/focal/release-20220308/ubuntu-20.04-server-cloudimg-arm64.img"
  iso_checksum      = "sha256:e905900cd0a0d716a72f83dc94a6e2260275dc0e867c84196a8d6d1bc783b304"

  output_directory  = "focal_arm64"
  shutdown_command  = "echo 'packer' | sudo -S shutdown -P now"
  disk_size         = "5000M"
  format            = "raw"
  ssh_username      = "root"
  ssh_password      = "s0m3password"
  ssh_timeout       = "20m"
  boot_wait         = "10s"
  # boot_command      = []
}

build {
  sources = ["source.qemu.focal-arm64"]
}
